import { ReferenceObject, RequestBodyObject, ResponseObject, SchemaObject } from 'openapi3-ts';
export declare const getDocs: (data: ReferenceObject | {
    description?: string;
}) => string;
/**
 * Discriminator helper for `ReferenceObject`
 */
export declare const isReference: (property: any) => property is ReferenceObject;
/**
 * Return the typescript equivalent of open-api data type
 */
export declare const getScalar: (item: SchemaObject) => string;
/**
 * Resolve the value of a schema object to a proper type definition.
 */
export declare const resolveValue: (schema: SchemaObject) => string;
/**
 * Format a description to code documentation.
 */
export declare const formatDescription: (description?: string) => string;
/**
 * Extract responses / request types from open-api specs
 */
export declare const getResReqTypes: (responsesOrRequests: Array<[string, ResponseObject | ReferenceObject | RequestBodyObject]>) => string;
